## org.hibernate.hql.internal
Class QueryExecutionRequestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.QueryException
                          org.hibernate.hql.internal.QueryExecutionRequestException

All Implemented Interfaces:
  Serializable

    public class QueryExecutionRequestException

extends QueryException

Expecting to execute an illegal operation regarding the query type

See Also:
  Serialized Form

Constructor Summary
`QueryExecutionRequestException(String message, String queryString)`

Method Summary

Methods inherited from class org.hibernate.QueryException
`getMessage, getQueryString, setQueryString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryExecutionRequestException

    public QueryExecutionRequestException(String message,
                                          String queryString)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.